net.minecraft.network.play.server

## Class S39PacketPlayerAbilities

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S39PacketPlayerAbilities

-     public class S39PacketPlayerAbilities
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S39PacketPlayerAbilities()`
    `S39PacketPlayerAbilities(PlayerCapabilities p_i45208_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `func_149101_g()`
    `void` | `func_149102_b(boolean p_149102_1_)`
    `boolean` | `func_149103_f()`
    `void` | `func_149104_a(float p_149104_1_)`
    `boolean` | `func_149105_e()`
    `boolean` | `func_149106_d()`
    `float` | `func_149107_h()`
    `void` | `func_149108_a(boolean p_149108_1_)`
    `void` | `func_149109_c(boolean p_149109_1_)`
    `void` | `func_149110_b(float p_149110_1_)`
    `void` | `func_149111_d(boolean p_149111_1_)`
    `boolean` | `func_149112_c()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_149113_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `java.lang.String` | `serialize()`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S39PacketPlayerAbilities

          public S39PacketPlayerAbilities()

    - #### S39PacketPlayerAbilities

          public S39PacketPlayerAbilities(PlayerCapabilities p_i45208_1_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_149113_1_)

    - #### serialize

          public java.lang.String serialize()

      Overrides:
        `serialize` in class `Packet`

    - #### func_149112_c

          public boolean func_149112_c()

    - #### func_149108_a

          public void func_149108_a(boolean p_149108_1_)

    - #### func_149106_d

          public boolean func_149106_d()

    - #### func_149102_b

          public void func_149102_b(boolean p_149102_1_)

    - #### func_149105_e

          public boolean func_149105_e()

    - #### func_149109_c

          public void func_149109_c(boolean p_149109_1_)

    - #### func_149103_f

          public boolean func_149103_f()

    - #### func_149111_d

          public void func_149111_d(boolean p_149111_1_)

    - #### func_149101_g

          public float func_149101_g()

    - #### func_149104_a

          public void func_149104_a(float p_149104_1_)

    - #### func_149107_h

          public float func_149107_h()

    - #### func_149110_b

          public void func_149110_b(float p_149110_1_)

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`